View Issue Details

IDProjectCategoryView StatusLast Update
0003464PathFeaturepublic2020-10-06 23:01
Reportersliptonic Assigned Tosliptonic  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.18 
Target Version0.19 
Summary0003464: Need an improved import pre-processor for external gcode
Descriptiongcode is imported to FreeCAD and processed with a preprocessor python script.
A couple examples exist but they are limited in functionality.

An improved pre-processor script would:

1) Create a job if non exists, use existing job, or prompt user to select if multiple jobs exist.

2) Create Customs and load the path commands into them.

3) Create tool controllers for each tool. Associate with the Customs.

4) Appropriately handle the creation and selection of tools for the tool controllers.

Additional InformationTo build the tool controller we need, at a minimum, the tool diameter. However, the gcode is only guaranteed to contain a tool number. It might have comments which indicate other attributes of the tool but these could be in any format.

Not sure how to handle this. Prompt the user? Create/duplicate the default tool? Attempt to parse comments?
TagsNo tags attached.
FreeCAD Information

Relationships

parent of 0003463 closedsliptonic Imported Path prevents creation of tool controller 

Activities

sliptonic

2020-10-06 23:01

manager   ~0014781

This was resolved by PR 0003600 [PATH] make -custom- op compliant. Improve gcode_pre importer

During import, you can select the gcode_pre preprocessor. This creates a custom inside the job and allows assigning a toolcontroller. The imported code can be exported like any other operation.

Issue History

Date Modified Username Field Change
2018-05-08 13:58 sliptonic New Issue
2019-01-22 05:05 sliptonic Status new => assigned
2019-01-22 05:05 sliptonic Target Version 0.18 => 0.19
2019-01-22 05:35 sliptonic Relationship added parent of 0003463
2020-10-06 23:01 sliptonic Assigned To => sliptonic
2020-10-06 23:01 sliptonic Status assigned => closed
2020-10-06 23:01 sliptonic Resolution open => fixed
2020-10-06 23:01 sliptonic Note Added: 0014781